      SUBROUTINE DISEND(LAST)                                           DISE001
C-----------------------------------------------------------------------DISE002
C                                                                       DISE003
C  SUBROUTINE DISEND  -  Finish current page of distorted geometries    DISE004
C                                                                       DISE005
C----------------------------------------------------------------------+DISE006
                                                                        DISE007
CHECK v.3.2-->                                                          DISE008
C      SUBROUTINE DISEND                                                DISE009
CHECK v.3.2<--                                                          DISE010
                                                                        DISE011
      INCLUDE 'bplot.inc'                                               DISE012
                                                                        DISE013
CHECK v.3.2-->                                                          DISE014
      LOGICAL       LAST                                                DISE015
CHECK v.3.2<--                                                          DISE016
                                                                        DISE017
C---- Close the current PostScript file                                 DISE018
CHECK v.3.2-->                                                          DISE019
C      CALL PSCLOS(BBOXX1,BBOXX2,BBOXY1,BBOXY2)                         DISE020
      CALL PSENDP                                                       DISE021
      IF (.NOT.COMBPS .OR. LAST) THEN                                   DISE022
          CALL PSCLOS(BBOXX1,BBOXX2,BBOXY1,BBOXY2)                      DISE023
      ENDIF                                                             DISE024
CHECK v.3.2<--                                                          DISE025
                                                                        DISE026
      RETURN                                                            DISE027
      END                                                               DISE028
